Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3823)
@@ -54,10 +54,10 @@
 
 		CQPCorpus corpus = this.editor.getCorpus();
 		
-		int[] indexes = CQPSearchEngine.getCqiClient().str2Id(corpus.getProperty("id").getQualifiedName(), new String[] {startID, endID});
-		int[] startEndPositions = CQPSearchEngine.getCqiClient().idList2Cpos(corpus.getProperty("id").getQualifiedName(), indexes);
+		int[] indexes = CQPSearchEngine.getCqiClient().str2Id(corpus.getProperty("id").getQualifiedName(), new String[] {startID, endID}); //$NON-NLS-1$
+		int[] startEndPositions = CQPSearchEngine.getCqiClient().idList2Cpos(corpus.getProperty("id").getQualifiedName(), indexes); //$NON-NLS-1$
 		int[] allPositions = MatchUtils.toPositions(startEndPositions[1], startEndPositions[0]);
-		String[] allWordIDS = CQPSearchEngine.getCqiClient().cpos2Str(corpus.getProperty("id").getQualifiedName(), allPositions);
+		String[] allWordIDS = CQPSearchEngine.getCqiClient().cpos2Str(corpus.getProperty("id").getQualifiedName(), allPositions); //$NON-NLS-1$
 		
 		HashMap<Match, String> matches = new HashMap<Match, String>();
 		for (int i = 0 ; i < allWordIDS.length ; i++) {
@@ -81,7 +81,7 @@
 	}
 	
 	private String findAnnotationForString(Match match, List<Annotation> annots, boolean overlap) {
-		String annotationValue = "";
+		String annotationValue = ""; //$NON-NLS-1$
 		if (annots!=null) {
 			if (!annots.isEmpty()) {
 				for (Annotation annot : annots) {
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/AnnotationLineDecorator.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/AnnotationLineDecorator.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/AnnotationLineDecorator.java	(revision 3823)
@@ -20,9 +20,9 @@
 		
 		if (annotation != null) {
 			if (currentPos == annotation.getStart()) {
-				return "< "+str;
+				return "< "+str; //$NON-NLS-1$
 			} else if (currentPos == annotation.getEnd()) {
-				return str+" >";
+				return str+" >"; //$NON-NLS-1$
 			}
 		}
 		return str;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3823)
@@ -13,6 +13,7 @@
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.TypedValue;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.core.functions.Line;
 import org.txm.objects.Match;
@@ -92,7 +93,7 @@
 	}
 	
 	private String findAnnotationForLine(Match match, List<Annotation> annots, boolean overlap) {
-		String annotationValue = "";
+		String annotationValue = ""; //$NON-NLS-1$
 		if (annots!=null) {
 			if (!annots.isEmpty()) {
 				for (Annotation annot : annots) {
@@ -220,7 +221,7 @@
 				annotationsPerMatch = am.getAnnotationsForMatches(viewAnnotation, subsetMatch, overlapAnnotation);
 				//System.out.println("annotationsPerMatch: "+annotationsPerMatch);
 			} catch (Exception e) {
-				Log.warning(NLS.bind("Error while reading annotation {0} and with {1} matches", viewAnnotation, subsetMatch.size()));
+				Log.warning(NLS.bind(Messages.ErrorWhileReadingAnnotationP0AndWithP1Matches, viewAnnotation, subsetMatch.size()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3823)
@@ -45,6 +45,7 @@
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -74,7 +75,7 @@
 
 		Object s = selection.getFirstElement();
 		if (!(s instanceof MainCorpus)) {
-			Log.warning(NLS.bind("Selection is not a Corpus: {0}. Aborting.", s));
+			Log.warning(NLS.bind(Messages.SelectionIsNotACorpusAborting, s));
 			return null;
 		}
 
@@ -84,10 +85,10 @@
 		MainCorpus corpus = (MainCorpus) s;
 		String path = Toolbox.getTxmHomePath();
 		dialog.setFilterPath(path); //To set a specific path
-		dialog.setFileName(corpus.getID()+"_annotations.zip");
-		dialog.setFilterExtensions(new String[]{"*.zip"});
+		dialog.setFileName(corpus.getID()+"_annotations.zip"); //$NON-NLS-1$
+		dialog.setFilterExtensions(new String[]{"*.zip"}); //$NON-NLS-1$
 		if (dialog.open() != null) {
-			StatusLine.setMessage(TXMUIMessages.exportingAnnotations);
+			StatusLine.setMessage(Messages.exportingAnnotations);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 
@@ -123,9 +124,9 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
-					monitor.beginTask("Exporting annotations as standoff", 100);
+					monitor.beginTask(Messages.ExportingAnnotationsAsStandoff, 100);
 					
-					monitor.setTaskName("Writing annotations in XML-TXM stand-off files");
+					monitor.setTaskName(Messages.WritingAnnotationsInXMLTXMStandOffFiles);
 					/*if (MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "Before saving annotations...", "All editors using this corpus are going to be closed. Continue ?")) {
 						return false;
 					}*/
@@ -134,15 +135,15 @@
 					///chaque annotation est récupérée et selon l'annotateur, écrite dans un fichier spécifique à celui-ci
 
 					if (!am.exportAnnotationsToSyMoGIH(resultZipFile)) {
-						Log.warning("Error while saving stand-off annotations (see logs above).");
+						Log.warning(Messages.ErrorWhileSavingStandOffAnnotations);
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(30);
 					
-					Log.info("Done.");
+					Log.info(Messages.Done);
 
 				} catch(Exception e) {
-					Log.warning(NLS.bind("Error while saving annotations: {0}.", e));
+					Log.warning(NLS.bind(Messages.ErrorWhileSavingAnnotationsP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java	(revision 3823)
@@ -40,6 +40,7 @@
 import org.txm.annotation.kr.core.repository.LocalKnowledgeRepository;
 import org.txm.annotation.kr.core.repository.SQLKnowledgeRepository;
 import org.txm.annotation.kr.core.repository.TypedValue;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.utils.logger.Log;
 
@@ -74,7 +75,7 @@
 
 		} else if (selectedItem instanceof LocalKnowledgeRepository) {
 			LocalKnowledgeRepository kr = ((LocalKnowledgeRepository)selectedItem);
-			Log.info("Delete a LocalKnowledgeRepository...");
+			Log.info(Messages.DeleteALocalKR);
 			
 			//TODO: confirm message dialog to generate
 			KnowledgeRepositoryManager.deleteKnowledgeRepository(kr);
@@ -86,7 +87,7 @@
 			
 			if (kr instanceof LocalKnowledgeRepository) {
 				final LocalKnowledgeRepository lkr = ((LocalKnowledgeRepository)kr);
-				Log.info("Delete an AnnotationType...");
+				Log.info(Messages.DeleteAnAnnotationType);
 				
 				/*JobHandler job = new JobHandler("Deleting all annotations for type : "+t) {
 					@Override
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java	(revision 3823)
@@ -64,7 +64,7 @@
 	{
 		Object selectedItem = selection.getFirstElement();
 		
-		String url = "";
+		String url = ""; //$NON-NLS-1$
 		if (selectedItem instanceof SQLKnowledgeRepository) {
 			url = ((SQLKnowledgeRepository)selectedItem).getURL();
 		} else if (selectedItem instanceof LocalKnowledgeRepository) {
@@ -73,7 +73,7 @@
 		} else if (selectedItem instanceof AnnotationType) {
 			url = ((AnnotationType)selectedItem).getURL();
 		} else if (selectedItem instanceof TypedValue) {
-			url = ""; // TODO: see how to retrieve its KR
+			url = ""; // TODO: see how to retrieve its KR //$NON-NLS-1$
 		}
 		
 		if (url != null && url.length() > 0) {
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java	(revision 3823)
@@ -45,8 +45,8 @@
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.StatusLine;
-import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -74,7 +74,7 @@
 		
 		Object s = selection.getFirstElement();
 		if (!(s instanceof MainCorpus)) {
-			Log.warning(NLS.bind("Selection is not a Corpus: {0}. Aborting.", s));
+			Log.warning(NLS.bind(Messages.SelectionIsNotACorpusP0Aborting, s));
 			return null;
 		}
 		
@@ -84,10 +84,10 @@
 		MainCorpus corpus = (MainCorpus) s;
 		String path = Toolbox.getTxmHomePath();
 		dialog.setFilterPath(path); //To set a specific path
-		dialog.setFileName(corpus.getID()+"_annotations.csv");
-		dialog.setFilterExtensions(new String[]{"*.csv", "*.tsv"});
+		dialog.setFileName(corpus.getID()+"_annotations.csv"); //$NON-NLS-1$
+		dialog.setFilterExtensions(new String[]{"*.csv", "*.tsv"}); //$NON-NLS-1$ //$NON-NLS-2$
 		if (dialog.open() != null) {
-			StatusLine.setMessage(TXMUIMessages.exportingAnnotations);
+			StatusLine.setMessage(Messages.exportingAnnotations);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 			
@@ -114,9 +114,9 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
-					monitor.beginTask("Exporting annotations as standoff", 100);
+					monitor.beginTask(Messages.ExportingAnnotationsAsStandOff, 100);
 					
-					monitor.setTaskName("Writing annotations in the table file: "+resultFile);
+					monitor.setTaskName(Messages.WritingAnnotationsInTheTableFileP0+resultFile);
 					/*if (MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "Before saving annotations...", "All editors using this corpus are going to be closed. Continue ?")) {
 						return false;
 					}*/
@@ -125,15 +125,15 @@
 					///chaque annotation est récupérée et selon l'annotateur, écrite dans un fichier spécifique à celui-ci
 					
 					if (!am.exportAnnotationsToTable(resultFile)) {
-						Log.warning("Error while exporting annotations (see logs above).");
+						Log.warning(Messages.ErrorWhileExportingAnnotations);
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(30);
 					
-					Log.info("Done.");
+					Log.info(Messages.Done);
 					
 				} catch(Exception e) {
-					Log.warning(NLS.bind("Error while saving annotations: {0}.", e));
+					Log.warning(NLS.bind(Messages.ErrorWhileSavingAnnotationsP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java	(revision 3823)
@@ -15,6 +15,7 @@
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
 import org.txm.annotation.kr.core.repository.KnowledgeRepositoryManager;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.swt.dialog.UsernamePasswordDialog;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
@@ -53,28 +54,28 @@
 				kr = KRAnnotationEngine.getKnowledgeRepository(corpus, kr_name);
 				
 				if (kr == null) {
-					Log.warning(NLS.bind("Warning ''{0}'' KR is null. Please check KR configuration.", kr_name));
+					Log.warning(NLS.bind(Messages.WarningP0KRIsNullPleaseCheckKRConfiguration, kr_name));
 					continue;
 				}
 				//System.out.println("IS CREDENTIAL NEEDED: "+kr_name+" "+corpus);
 				boolean[] must = KnowledgeRepositoryManager.mustLoginToKnowledgeRepository(kr_name, corpus);
 				
 				if (must[0] || must[1]) {
-					Log.info(NLS.bind("Asking credentials for {0} KR login.", kr_name));
+					Log.info(NLS.bind(Messages.AskingCredentialForP0KRLogin, kr_name));
 					UsernamePasswordDialog dialog = new UsernamePasswordDialog(Display.getCurrent().getActiveShell(), must, kr_name);
 					
 					if (dialog.open() == UsernamePasswordDialog.OK) {
-						Log.info("Temporary save login+password");
+						Log.info("Temporary save login+password"); //$NON-NLS-1$
 						System.setProperty(KnowledgeRepository.LOGIN_KEY+kr_name, dialog.getUser());
 						System.setProperty(KnowledgeRepository.PASSWORD_KEY+kr_name, dialog.getPassword());
 					} else {
-						Log.info(NLS.bind("Cancelling login for {0} KR.", kr_name));
+						Log.info(NLS.bind(Messages.CancelingLoginForP0KR, kr_name));
 						continue; // ignoring
 					}
 				}
 				
 				if (!kr.checkConnection()) {
-					Log.warning(NLS.bind("Error during connection to the ''{0}'' KR. Please check login, password and Internet connection.", kr_name));
+					Log.warning(NLS.bind(Messages.ErrorDuringConnectionToTheP0KRPleaseCheckLogin, kr_name));
 				} else {
 					ret.add(kr);
 				}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java	(revision 3823)
@@ -45,6 +45,7 @@
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -74,7 +75,7 @@
 		
 		Object s = selection.getFirstElement();
 		if (!(s instanceof MainCorpus)) {
-			Log.warning(NLS.bind("Selection is not a Corpus: {0}. Aborting.", s));
+			Log.warning(NLS.bind(Messages.SelectionIsNotACorpusP0Aborting, s));
 			return null;
 		}
 		
@@ -84,10 +85,10 @@
 		MainCorpus corpus = (MainCorpus) s;
 		String path = Toolbox.getTxmHomePath();
 		dialog.setFilterPath(path); //To set a specific path
-		dialog.setFileName(corpus.getID()+"_annotations.csv");
-		dialog.setFilterExtensions(new String[]{"*.csv", "*.tsv"});
+		dialog.setFileName(corpus.getID()+"_annotations.csv"); //$NON-NLS-1$
+		dialog.setFilterExtensions(new String[]{"*.csv", "*.tsv"}); //$NON-NLS-1$ //$NON-NLS-2$
 		if (dialog.open() != null) {
-			StatusLine.setMessage(TXMUIMessages.exportingAnnotations);
+			StatusLine.setMessage(Messages.exportingAnnotations);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 			
@@ -114,9 +115,9 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
-					monitor.beginTask("Importing annotations as standoff", 100);
+					monitor.beginTask(Messages.ImportingAnnotationsAsStandOff, 100);
 					
-					monitor.setTaskName("Reading annotations in the table file: "+annotationsFile);
+					monitor.setTaskName(Messages.ReadingAnnotationsInTheTableFileP0+annotationsFile);
 					/*if (MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "Before saving annotations...", "All editors using this corpus are going to be closed. Continue ?")) {
 						return false;
 					}*/
@@ -125,16 +126,16 @@
 					///chaque annotation est récupérée et selon l'annotateur, écrite dans un fichier spécifique à celui-ci
 					
 					if (!am.importAnnotationsFromTable(annotationsFile)) {
-						Log.warning("Error while importing annotations (see logs above).");
+						Log.warning(Messages.ErrorWhileImportingAnnotations);
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(30);
 					
-					corpus.getProject().appendToHistory("CQP Annotations imported from "+annotationsFile);
-					Log.info("Done.");
+					corpus.getProject().appendToHistory(Messages.CQPAnnotationsImportedFromP0+annotationsFile);
+					Log.info(Messages.Done);
 					
 				} catch(Exception e) {
-					Log.warning(NLS.bind("Error while importing annotations: {0}.", e));
+					Log.warning(NLS.bind(Messages.ErrorWhileImportingAnnotationsP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3823)
@@ -5,7 +5,35 @@
 
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	
+	public static String DeleteALocalKR;
+
+	public static String DeleteAnAnnotationType;
+
+	public static String Done;
+	public static String ErrorWhileExportingAnnotations;
+
+	public static String ErrorWhileImportingAnnotations;
+
+	public static String ErrorWhileImportingAnnotationsP0;
+	public static String ErrorWhileSavingAnnotationsP0;
+
+	public static String ErrorWhileSavingStandOffAnnotations;
+	public static String exportingAnnotations;
+	public static String ExportingAnnotationsAsStandoff;
+
+	public static String ExportingAnnotationsAsStandOff;
+	public static String SelectionIsNotACorpusAborting;
+
+	public static String SelectionIsNotACorpusP0Aborting;
+	public static String WritingAnnotationsInTheTableFileP0;
+
+	public static String WritingAnnotationsInXMLTXMStandOffFiles;
+	
 	public static String BeforeSavingAnnotations;
+	public static String CancelingLoginForP0KR;
+	public static String CQPAnnotationsImportedFromP0;
+
 	public static String CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated;
 	public static String executionCanceled;
 	public static String FailToUpdateTheCorpusAborting;
@@ -18,6 +46,9 @@
 	public static String UpdateOptions;
 	public static String UpdatingCorpus;
 	public static String UpdatingCorpusEditionsAndIndexes;
+	public static String ErrorDuringConnectionToTheP0KRPleaseCheckLogin;
+	public static String ErrorWhileReadingAnnotationP0AndWithP1Matches;
+
 	public static String ErrorWhileReadingTheP0KRValuesForTheP1Type;
 	
 	public static String availableValuesForP0; 
@@ -40,7 +71,8 @@
 	public static String lookingForTypedValueWithIdEqualsP0; 
 	public static String noValueFoundWithTheP0Id; 
 	public static String AffectP0ToSelectionEqualsP1;
-	public static String Annotation; 
+	public static String Annotation;
+	public static String AskingCredentialForP0KRLogin; 
 	public static String couldNotAnnotateTheValueP0OnCertainSequences; 
 	public static String theSequenceP0IsOverlappingWith; 
 	public static String theEndOfAStructureP0AtP1P2; 
@@ -67,13 +99,18 @@
 	public static String squencesDeMotsCatgorie; 
 	public static String motsPropritsInfDfaut; 
 	public static String all;
+
+	public static String ImportingAnnotationsAsStandOff;
 	public static String KnowledgeRepositoryName; 
 	public static String nouvelleProprit; 
 	public static String nomDeLaPropritPatternEqualsazaz09Plus;
 	public static String PreserveAnnotationBetweenTXMSessions; 
 	public static String property;
 
-	public static String updatingTheP0Corpus; 
+	public static String ReadingAnnotationsInTheTableFileP0;
+
+	public static String updatingTheP0Corpus;
+	public static String WarningP0KRIsNullPleaseCheckKRConfiguration; 
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3822)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3823)
@@ -1,10 +1,25 @@
+DeleteAnAnnotationType=Delete an AnnotationType...
 #TXM messages generated by the PluginMessagesManager class
 #Fri Jun 10 16:36:03 CEST 2022
+DeleteALocalKR=Delete a LocalKnowledgeRepository...
+Done=Done.
+ErrorWhileImportingAnnotations=Error while importing annotations (see logs above).
+ErrorWhileImportingAnnotationsP0=Error while importing annotations: {0}.
+ErrorWhileSavingAnnotationsP0=Error while saving annotations: {0}.
+ErrorWhileSavingStandOffAnnotations=Error while saving stand-off annotations (see logs above).
+exportingAnnotations=Exporting annotations.
+ExportingAnnotationsAsStandoff=Exporting annotations as standoff
+SelectionIsNotACorpusAborting=Selection is not a Corpus: {0}. Aborting.
+SelectionIsNotACorpusP0Aborting=Selection is not a Corpus: {0}. Aborting.
+WritingAnnotationsInTheTableFileP0=Writing annotations in the table file: {0}.
+WritingAnnotationsInXMLTXMStandOffFiles=Writing annotations in XML-TXM stand-off files
+
 aboutAnnotations=About annotations
 addANewCategory=Add a new category
 affect=Assign
 AffectP0ToSelectionEqualsP1=Assign {0} to {1} for {1} elements.
 Annotation=Annotation
+AskingCredentialForP0KRLogin=Asking credentials for {0} KR login.
 all=All
 allLines=all lines
 annotatingConcordanceSelection=Annotating concordance selection…
@@ -17,7 +32,11 @@
 concordanceAnnotationArea=Concordance Annotation area
 confirmAnnotationAffectation=Confirm annotation assignment
 couldNotAnnotateTheValueP0OnCertainSequences=** Can not annotate the value {0} on certain sequences.
+CancelingLoginForP0KR=Cancelling login for {0} KR.
+CQPAnnotationsImportedFromP0=CQP Annotations imported from 
 CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated=CQP indexes not updated. Only the XML-TXM files have been updated. Call Update corpus later to access the annotations
+ErrorDuringConnectionToTheP0KRPleaseCheckLogin=Error during connection to the ''{0}'' KR. Please check login, password and Internet connection.
+ErrorWhileReadingAnnotationP0AndWithP1Matches=Error while reading annotation {0} and with {1} matches
 ErrorWhileReadingTheP0KRValuesForTheP1Type=Error while reading the {0} KR values for the {1} type.
 delete=Delete
 enterAValueForAnId=Enter a value for an identifier
@@ -29,6 +48,7 @@
 executionCanceled=Execution canceled.
 FailToUpdateTheCorpusAborting=Fail to update the corpus. Aborting
 FixXMLTXMFilesAndCallCommandUpdateCorpus=Fix XML-TXM files and call command 'UpdateCorpus'
+ImportingAnnotationsAsStandOff=Importing annotations as standoff
 keywordsAnnotation=Pivot annotation
 KnowledgeRepositoryName=Knowledge repository name
 listOfCategories=List of categories
@@ -46,6 +66,7 @@
 PreserveAnnotationBetweenTXMSessions=Preserve annotations between TXM sessions
 proceedToAnnotation=Proceed to annotation
 property=Property
+ReadingAnnotationsInTheTableFileP0=Reading annotations in the table file: 
 SaveAnnotationsAndUpdateTheCorpus=Save Annotations and update the corpus.
 SaveP0Annotations=Saving {0} annotations...
 saveTheAnnotations=Save the annotations
@@ -64,5 +85,6 @@
 UpdatingCorpusEditionsAndIndexes=Updating corpus editions and indexes
 updatingTheP0Corpus=Updating the {0} corpus...
 valueEquals=value\=
+WarningP0KRIsNullPleaseCheckKRConfiguration=Warning ''{0}'' KR is null. Please check KR configuration.
 withTheCategory=with the category
 youAreAboutToAnnotateP0ElementsContinue=You are about to annotate {0} elements. Continue ?
